Summary: GNU ispell - interactive spelling checker
Name: ispell
Version: 3.1.20
Release: 9
Group: Utilities/Text
Source0: ftp://prep.ai.mit.edu/pub/gnu/ispell-3.1.20.tar.gz
Source1: ispell.info
Source2: spell
Patch0: ispell-3.1.20-config.patch
Patch1: ispell-3.1.20-alphahack.patch
Patch2: ispell-3.1-info.patch
Patch3: ispell-3.1.20-termio.patch
Copyright: GPL
Summary(de): GNU ispell - interaktive Rechtschreibprfung
Summary(fr): ispell de GNU - vrificateur orthographique interactif
Summary(tr): Etkileimli yazm denetleyici
BuildRoot: /var/tmp/ispell-root

%description
This is the GNU interactive spelling checker.  You can run 
it on text files and it will interactively spell check.  This
means it will tell you about words it doesn't know, and will
suggest alternatives when it can.

%description -l de
Dies ist die interaktive GNU-Rechtschreibprfung. Sie kann
auf Textdateien angewendet werden und prft interaktiv auf
orthographische Fehler. Das heit, das Programm meldet, 
Mglichkeit eine Alternative vor.

%description -l fr
Le correcteur orthographique interactif de GNU. Vous pouvez le
lancer sur des fichiers texte et il les vrifiera de manire interactive.
Cela sisgnifie qu'il vous indiquera les mots qu'il ne reconnait pas et
vous proposera des solutions de remplacement s'il le peut.

%description -l tr
ispell, metin dosyalar zerinde szck yazm denetimleri yapan ve hatal
olduunu dnd szckleri kullancya bildirerek etkileimli olarak
dzeltilmesine alan bir yazlmdr. Dzeltme nerilerinde bulunma yetenei
de vardr.

%prep
%setup -q -n ispell-3.1
%patch0 -p1

%ifarch axp
%patch1 -p1
%endif

%patch2 -p1 -b .makeinfo
%patch3 -p1 -b .termio

echo "Getting prebuilt ispell.info file :-(."
cp $RPM_SOURCE_DIR/ispell.info .

%build

# Make config.sh first
PATH=.:$PATH make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" config.sh

# Now save build-rooted version (with time-stamp) for install ...
cp config.sh config.sh.BUILD
sed -e "s,/usr/,$RPM_BUILD_ROOT/usr/,g" < config.sh.BUILD > config.sh.INSTALL

# and then make everything
PATH=.:$PATH make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/man
mkdir -p $RPM_BUILD_ROOT/usr/lib/emacs/site-lisp
mkdir -p $RPM_BUILD_ROOT/usr/info

# Roll in the build-root'ed version (with time-stamp!)
mv config.sh.INSTALL config.sh
PATH=.:$PATH make install

mv $RPM_BUILD_ROOT/usr/info/ispell $RPM_BUILD_ROOT/usr/info/ispell.info
gzip -9nf $RPM_BUILD_ROOT/usr/info/ispell.info

install -m 755 ${RPM_SOURCE_DIR}/spell $RPM_BUILD_ROOT/usr/bin/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
/usr/bin/ispell
/usr/bin/spell
/usr/man/man1/ispell.1
/usr/man/man4/ispell.4
/usr/info/ispell.info.gz
/usr/lib/emacs/site-lisp/ispell.el
/usr/bin/buildhash
/usr/bin/icombine
/usr/bin/ijoin
/usr/bin/munchlist
/usr/bin/findaffix
/usr/bin/tryaffix
/usr/bin/sq
/usr/bin/unsq
/usr/man/man1/sq.1
/usr/man/man1/buildhash.1
/usr/man/man1/munchlist.1
/usr/man/man1/findaffix.1
/usr/man/man1/tryaffix.1
/usr/man/man1/unsq.1
/usr/lib/ispell
/usr/man/man4/english.4

%changelog
* Mon Jun 29 1998 Jeff Johnson <jbj@redhat.com>
- use posix termios (problem #558)
- add build root.

* Sat May 09 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat May 09 1998 Erik Troan <ewt@redhat.com>
- have two Source1 lines isn't terribly brilliant

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- patch to avoid remaking ispell.info

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Mar 06 1997 Michael K. Johnson <johnsonm@redhat.com>
- Added a spell program.
- Configured for 8-bit use.
